
function [xlist,ylist,len_p] = imageplot1(image,text1,text2,n)
f = figure('Units','Normalized',...
    'Position',[0 0 1 1],...
    'NumberTitle','off',...
    'Name','Info');
t = uicontrol('Style','text',...
    'Units','Normalized',...
    'Position',[.8 .1 0.15 .1],...
    'String',text1)
t.FontSize = 15;
p = uicontrol('Style','PushButton',...
    'Units','Normalized',...
    'Position',[.7 .1 0.1 .05],...
    'String','Done',...
    'CallBack','uiresume(gcbf)');
p.FontSize = 15;
set(f,'visible','off');
imshow(image);
axis xy;
title(text2,'FontSize',30)

set(gcf,'Units','normalized','Position',[0,0,1,1]);  %# full screen figure
hold on;
xlist=zeros(n,1);
ylist=zeros(n,1);
for ii = 1:n;
    [x1,y1]=ginput(1);
    plot(x1,y1,'--Xy','MarkerSize',12);
    xlist(ii)=x1;
    ylist(ii)=y1;
end
len_p = sqrt((xlist(1)-xlist(2))^2+(ylist(1)-ylist(2))^2);
set(f,'visible','off');
plot(xlist,ylist,'LineWidth',2);
dx=-5;dy=-5;
text(xlist+dx,ylist+dy,text2); 
uiwait(f);
close all;
end 
