
function [xlist,ylist,r2,sa,perc_x,perc_y,perc_w] = imageplot2(image,text1,n,perc_m,perc_m2,bodylength_p,xlength,ylength,x1l,y1l)
f = figure('Units','Normalized',...
    'Position',[0 0 1 1],...
    'NumberTitle','off',...
    'Name','Info');
t = uicontrol('Style','text',...
    'Units','Normalized',...
    'Position',[.8 .1 0.15 .15],...
    'String',text1)
t.FontSize = 15;
p = uicontrol('Style','PushButton',...
    'Units','Normalized',...
    'Position',[.7 .1 0.1 .05],...
    'String','Done',...
    'CallBack','uiresume(gcbf)');
p.FontSize = 15;
set(f,'visible','off');
imshow(image);
axis xy;
set(gcf,'Units','normalized','Position',[0,0,1,1]);  %# full screen figure
hold on;
title('Whale Outline','FontSize',30)
mod1 = 1

if (xlength(1) > (xlength(2)));
    mod1 = mod1 * -1; %subtracts lengths from X if nose is a higher X coord value than tail
end
for ii = 1:length(perc_m); %shows gridlines 
    yvals = ylim;
    %coefficient modification depending on where nose is
    xadj = (xlength(1) + (perc_m(ii)*bodylength_p*mod1))%adds/subtracts length to the nose X value
    plot([xadj,xadj],ylim,'-.y','MarkerSize',20);
    val2 = round(perc_m(ii) * 100)
    tt = text(xadj-20*mod1,yvals(1)-15,sprintf('%d',val2));
    tt.FontSize = 8;
    tt = text(xadj-20,yvals(2)+15,sprintf('%d',val2));
    tt.FontSize = 8;
end
hold on;

if length(x1l) > 1 %shows existing plot if it exists
    plot(x1l,y1l,'LineWidth',2);
end 
xlist=zeros(n,1);
ylist=zeros(n,1);
hold on;

for jj = 1:n;
    [x1,y1]=ginput(1);
    plot(x1,y1,'--Xy','MarkerSize',12);
    xlist(jj)=x1;
    ylist(jj)=y1;
end
mdlside1 = fitlm(xlist,ylist,'quadratic','RobustOpts','on');
xlist = linspace(floor(min(xlist)),floor(max(xlist)),500);
ylist = feval(mdlside1,xlist);
r2 = mdlside1.Rsquared.Adjusted;
fun = @(x) (mdlside1.Coefficients.Estimate(3) * x.^2) + (mdlside1.Coefficients.Estimate(2) * x) - (mean(ylength) - mdlside1.Coefficients.Estimate(1)) %last parameter adjusts model for the actual location of the 'center' line
perc_x = zeros(1,length(perc_m2)); %place holder based on how many percentages need stored
perc_y = zeros(1,length(perc_m2)); %place holder based on how many percentages need stored
perc_w = zeros(1,length(perc_m2));
set(f,'visible','off');
hold on;

dx = -15; dy = -15; % displacement so the text does not overlay the data points
for kk = 1:length(perc_m2)
    xadj = xlength(1) + (perc_m2(kk)*bodylength_p*mod1); %adds/subtracts length to the nose X value
    perc_w(kk) = abs(integral(fun,xadj,xadj+1)); %SA side 1
    perc_x(kk) = xadj;
    perc_y(kk) = feval(mdlside1,xadj);
    set(f,'visible','off');
    plot(perc_x(kk),perc_y(kk));
    text(perc_x(kk)+dx,perc_y(kk)+dy,num2str(perc_m2(kk)));
end 
sa = abs(integral(fun,min(perc_x),max(perc_x))) %SA side 1
hold on;
plot(xlist,ylist,'LineWidth',2);
uiwait(f);
close all;
end 

