function [cameraParams] = modeldistortion()
%reads in a checkerboard image and estimates the distortion pattern

message = sprintf(['\nSelect the checkerboard calibration image\n']);
uiwait(msgbox(message));

[fileName,pathName] = multifileopen();%select image
for n = 1:length(fileName);
    fileName(n) = fullfile(pathName,fileName(n));calibrationSession
end 

% Detect the calibration pattern
[imagePoints, boardSize] = detectCheckerboardPoints((fileName));
% Generate the world coordinates of the corners of the squares. The square size is in millimeters.

% specify the length of checker
prompt = {'What is the horizontal length (in units of mm) of an individual square (e.g. 30):'};
dlg_title = 'Input';
num_lines = 1;
defaultans = {'30'};
answer = inputdlg(prompt,dlg_title,num_lines,defaultans);
squareSize = str2double(answer{1});

worldPoints = generateCheckerboardPoints(boardSize, squareSize);
cameraParams = estimateCameraParameters(imagePoints, worldPoints);
end 



images = imageSet(fullfile(toolboxdir('vision'),'visiondata','calibration','fishEye'));
[imagePoints, boardSize] = detectCheckerboardPoints(images.ImageLocation);
squareSize = 29;

worldPoints = generateCheckerboardPoints(boardSize, squareSize);
cameraParams = estimateCameraParameters(imagePoints, worldPoints);

